﻿using Borepin.Model;
using Prism.Mvvm;
using Prism.Navigation;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using System.Windows.Input;
using Xamarin.Forms;

namespace Borepin.PageModel
{
    public class Employee
    {
        public string DisplayName { get; set; }
    }

    public class MachinesPageModel : BindableBase
    {
        private INavigationService _navigationService;

        public MachinesPageModel(INavigationService navigationService)
        {
            _navigationService = navigationService;
            GoToMachineCommand = new Command<string>(GoToMachineCommandExecuted);

            MachineList = new ObservableCollection<Machine>();
            MachineList.Add(new Machine() { ID = "Machine 1", State = "InUse" });
            MachineList.Add(new Machine() { ID = "Machine 1", State = "InUse" });
            MachineList.Add(new Machine() { ID = "Machine 1", State = "InUse" });
            MachineList.Add(new Machine() { ID = "Machine 1", State = "InUse" });
        }

        private ICommand _GoToMachineCommand;
        public ICommand GoToMachineCommand
        {
            get => _GoToMachineCommand;
            set => SetProperty(ref _GoToMachineCommand, value);
        }

        private async void GoToMachineCommandExecuted(string machineID)
        {
            var result = await _navigationService.NavigateAsync($"NavigationPage/MachinePage/MachinePage?machineID={ machineID }");
            if (!result.Success)
            {
                System.Diagnostics.Debugger.Break();
            }
        }

        private ObservableCollection<Machine> _MachineList;
        public ObservableCollection<Machine> MachineList
        {
            get => _MachineList;
            set => SetProperty(ref _MachineList, value);
        }
    }
}
